# \Thelia\Routing\MatcherDefaultMatcher

Default matcher when no action is needed and there is no result for urlmatcher

## Summary

Methods
Properties
Constants
__construct()
matchRequest()
No public properties found
No constants found
No protected methods found
$controller
N/A
No private methods found
No private properties found
N/A

File
  Routing/Matcher/DefaultMatcher.php
Package
  \Default
Class hierarchy
  \Thelia\Routing\Matcher\DefaultMatcher

## Tags

author | Manuel Raynaud mraynaud@openstudio.fr

## Properties

### $controller

    $controller

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Controller\NullControllerInterface $controller)

#### Parameters

\Thelia\Controller\NullControllerInterface | $controller |

#

## Tags

None found

### matchRequest()

    matchRequest(\Symfony\Component\HttpFoundation\Request $request)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |

#

## Tags

None found

### DefaultMatcher.php